<?php
	include "config.php";
	if (isset($_GET["imei"])) setcookie("imei", $_GET["imei"], time()+60*60*24*365);
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xmlns:v="urn:schemas-microsoft-com:vml">
<head>
	<style type="text/css">
    v\:* {
      behavior:url(#default#VML);
    }
	html, body {
		width: 99%;
		height: 99%;
	}
	div {
		color: #000000;
	}
	html {
		overflow: hidden
	}
	#map {
		position: absolute;
		top: 1%;
		left: 19%;
		width: 81%;
		height: 98%
	} 
	.tabletext {
		font-style: normal;
		line-height: normal;
		font-weight: bold;
		margin: 0px;
		padding: 0px;
		border: 0px none;
		font-family: Arial, Helvetica, sans-serif;
		font-size: x-small;
		height: 15px;
		text-align: center;	
	}
	.xsmall {
		font-family: Arial, Helvetica, sans-serif;
		font-size: x-small;
		font-style: normal;
		line-height: normal;
		font-weight: normal;
		text-align: left;
		margin: 1px;
	}
	.viking {
		position: absolute;
		left: 5px;
		bottom: 5px;
		font-size: x-small;
		color: #FFF53C;
	}
	</style>
    <script src="http://maps.google.com/maps?file=api&v=2.s&key=<?php print $googlekey; ?>" type="text/javascript"></script>
	<script language="JavaScript" type="text/JavaScript">
		var datum = new Date();
		var datumsel = new Date();
		var start;
		var req;
		var calendarReq;
		
<?php
		if (isset($_GET["year"])) print "datumsel.setFullYear(" . $_GET["year"] . ");\r\n";
		if (isset($_GET["month"])) print "datumsel.setMonth(" . ($_GET["month"] - 1) . ");\r\n";
		if (isset($_GET["day"])) print "datumsel.setDate(" . $_GET["day"] . ");\r\n";
?>
		function DisplayText(obj, txt)
		{
		<?php
			if (strstr($_SERVER['HTTP_USER_AGENT'], "MSIE")===FALSE)
				print "obj.textContent = txt;\n";
			else
				print "obj.innerText = txt;\n";
		?>
		}
		function DisplayFrame(i, txt)
		{
		<?php 
			if (strstr($_SERVER['HTTP_USER_AGENT'], "MSIE")===FALSE)		
				print "document.anchors[i-1].parentNode.setAttribute('background',txt);\n";
			else
				print "document.getElementById('naptar').cells[i+8].background = txt;\n";
		?>
		}
		
		function DisplayMonth(calendar)
		{
			var datum2 = new Date();
			datum2.setTime(datum.getTime());
			datum2.setDate(1);
			start = datum2.getDay();
			if (start==0) start=7;
			over = 0;
			for (i=1;i<=42;i++)
			{
				if (start <= i && over==0)
				{
					datum2.setDate(i - start + 1);
					if (datum2.getMonth()!=datum.getMonth()) 
					{
						over=1;
						DisplayText(document.anchors[i],'');
					} else {
						DisplayText(document.anchors[i], i - start + 1);
						document.anchors[i].href = '#';
						if (calendar.getElementsByTagName('day' + (i - start + 1)).length > 0)
							document.anchors[i].style.color='#FFF53C';
						else
							document.anchors[i].style.color='#FFFFFF';
					}
				} else
					DisplayText(document.anchors[i], '');
			}
			for (i=1; i<42; i++) DisplayFrame(i, "");
			if (datum.getMonth()==datumsel.getMonth() && datum.getFullYear()==datumsel.getFullYear())
				DisplayFrame(datumsel.getDate()+start, "images/frame.gif");		
		}
		
		function DisplayDate()
		{
			var display;
			switch(datum.getMonth())
			{
				case 0: display = 'Jan'; break;
				case 1: display = 'Feb'; break;
				case 2: display = 'Mar'; break;
				case 3: display = 'Apr'; break;
				case 4: display = 'May'; break;
				case 5: display = 'Jun'; break;
				case 6: display = 'Jul'; break;
				case 7: display = 'Aug'; break;
				case 8: display = 'Sep'; break;
				case 9: display = 'Oct'; break;
				case 10: display = 'Nov'; break;
				case 11: display = 'Dec'; break;
			}
			display += '. ' + datum.getFullYear();
			DisplayText(document.anchors[0], display);
		}			
		function PrevYear()
		{
			datum.setFullYear(datum.getFullYear()-1);
			DisplayDate();
			fillCalendar();
		}
		function NextYear()
		{
			datum.setFullYear(datum.getFullYear()+1);
			DisplayDate();
			fillCalendar();
		}
		function PrevMonth()
		{
			datum.setMonth(datum.getMonth()-1);
			DisplayDate();
			fillCalendar();
		}
		function NextMonth()
		{
			datum.setMonth(datum.getMonth()+1);
			DisplayDate();
			fillCalendar();
		}
		function Click(i)
		{
		<?php
			if (strstr($_SERVER['HTTP_USER_AGENT'], "MSIE")===FALSE)
				print "var nap = document.anchors[i+1].textContent;\n";
			else
				print "var nap = document.anchors[i+1].innerText;\n";
		?>	
			if (nap=="") return;
			datumsel.setDate(nap);
			datumsel.setMonth(datum.getMonth());
			datumsel.setFullYear(datum.getFullYear());

			var datum2 = new Date();
			datum2.setTime(datum.getTime());
			datum2.setDate(1);
			start = datum2.getDay();
			if (start==0) start=7;
			for (i=1; i<42; i++) DisplayFrame(i, "");
			if (datum.getMonth()==datumsel.getMonth() && datum.getFullYear()==datumsel.getFullYear())
				DisplayFrame(datumsel.getDate()+start, "images/frame.gif");		

			validate();
		}

		function getElementTextNS(local, parentElem, index) 
		{
			var result = parentElem.getElementsByTagName(local)[index];
			if (result) 
			{
				if (result.childNodes.length > 1) 
				{
					return result.childNodes[1].nodeValue;
				} else {
					return result.firstChild.nodeValue;    		
				}
			} else {
				return "n/a";
			}
		}	
	</script>
	<script type="text/javascript">
	var map;
	function onLoad()
	{
		map = new GMap2(document.getElementById("map"));
		map.addControl(new GSmallMapControl());
		map.addControl(new GMapTypeControl());
		map.addControl(new GOverviewMapControl());
		map.setCenter(new GLatLng(47.49, 19.06), 12, G_HYBRID_MAP);		
		
		var cookies = document.cookie;
		var pos = cookies.indexOf("imei=");
		if (pos!=-1)
		{
			var pos2 = cookies.indexOf(";", pos);
			if (pos2==-1)
				cookies = cookies.substr(pos+5);
			else
				cookies = cookies.substring(pos+5, pos2);
			document.getElementById("txtIMEI").value = cookies;
			validate();
			fillCalendar();
		}
	}
	
	function fillCalendar()
	{
		if (document.getElementById("txtIMEI").value=="") return;

		var url = "calendar.php";
		url += '?year=' + datum.getFullYear();
		url += '&month=' + (datum.getMonth()+1);
		url += "&imei=" + document.getElementById("txtIMEI").value;
		
		if (window.XMLHttpRequest) 
		{
			calendarReq = new XMLHttpRequest();
		} else if (window.ActiveXObject) {
			calendarReq = new ActiveXObject("Microsoft.XMLHTTP");
		}

		calendarReq.open("GET", url, true);
		calendarReq.onreadystatechange = calendarRequest;
		calendarReq.send(null);
	}

	function calendarRequest() 
	{
	    if (calendarReq.readyState == 4) 
		{
			if (calendarReq.status == 200) 
			{
				DisplayMonth(calendarReq.responseXML);
				//var day1 = req.responseXML.getElementsByTagName("day17");				
				//alert(day1.length);
				/*for (var i=0; i<calendar.childNodes.length; i++)
				{
					alert (calendar.childNodes.item(i));
					alert (calendar.childNodes[i].chilfNodes.length);
				}*/
			}
		}
	}

	function validate()
	{		
		if (document.getElementById("txtIMEI").value!="")
		{
			var exp = new Date();
			var ms = exp.getTime()+(365*24*60*60*1000);
			exp.setTime(ms);
			document.cookie = "imei=" + document.getElementById("txtIMEI").value + "; expires=" + exp.toGMTString();
		}

		var url = "points.php";
		url += '?datum=';
		url += datumsel.getFullYear() + '.';
		if (datumsel.getMonth()<9) url += '0';
		url += (datumsel.getMonth()+1) + '.';
		if (datumsel.getDate()<=9) url += '0';
		url += datumsel.getDate();
		url += "&imei=" + document.getElementById("txtIMEI").value;
		
		if (window.XMLHttpRequest) 
		{
			req = new XMLHttpRequest();
		} else if (window.ActiveXObject) {
			req = new ActiveXObject("Microsoft.XMLHTTP");
		}
		req.open("GET", url, true);
		req.onreadystatechange = callback;
		req.send(null);
	}
	
	function callback() 
	{
	    if (req.readyState == 4) 
		{
			if (req.status == 200) 
			{
    			map.clearOverlays();
				var polygons = req.responseXML.getElementsByTagName("segment");
				var colors = new Array( "#0000FF", "#0080FF", "#00FFFF", "#00FF80", "#00FF00", "#80FF00", "#FFFF00", "#FF8000", "#FF0000", "#FF0080", "#FF00FF", "#8000FF");
				for (var i = 0; i < polygons.length; i++) 
				{
					var points = getElementTextNS("polyline", polygons[i],0); 
					var levels = getElementTextNS("levels", polygons[i],0); 
					if (points!='NA')
					{
						var polyline = new GPolyline.fromEncoded({color: colors[i%12], weight: 3, points: points, levels: levels, zoomFactor:2, numLevels:18});
						map.addOverlay(polyline);
					}
					
					var start = polygons[i].getElementsByTagName("start");
					var startTime = getElementTextNS("timestamp", start[0], 0);
					var point = new GLatLng(getElementTextNS("latitude", start[0], 0), getElementTextNS("longitude", start[0], 0));
					
					var icon = new GIcon();
					icon.image = "start.php?url=start.png&text=" + startTime + "&color=" + colors[i%12].substr(1);
					icon.iconSize = new GSize(40, 29);
					icon.iconAnchor = new GPoint(39, 28);
					map.addOverlay(new GMarker(point, {icon: icon, title : "Start: " + startTime, clickable:false}));
						
					var end = polygons[i].getElementsByTagName("end");
					var endTime = getElementTextNS("timestamp", end[0], 0);
					point = new GLatLng(getElementTextNS("latitude", end[0], 0), getElementTextNS("longitude", end[0], 0));

					var icon = new GIcon();
					icon.image = "start.php?url=end.png&text=" + endTime + "&color=" + colors[i%12].substr(1);
					icon.iconSize = new GSize(40, 29);
					icon.iconAnchor = new GPoint(1, 28);
					map.addOverlay(new GMarker(point, {icon: icon, title : "End: " + endTime, clickable:false}));

					icon = new GIcon();
					icon.image = "images/stop.png";
					icon.iconSize = new GSize(11, 11);
					icon.iconAnchor = new GPoint(6, 6);
					
					var stops = polygons[i].getElementsByTagName("stop");
					for (var j = 0; j < stops.length; j++)
					{
						point = new GLatLng(getElementTextNS("latitude", stops[j], 0), getElementTextNS("longitude", stops[j], 0));
						var text = getElementTextNS("start", stops[j], 0) + " - " + getElementTextNS("end", stops[j], 0);
						map.addOverlay(new GMarker(point, {icon: icon, title : text, clickable:false}));
					}
				}

				var swXML = req.responseXML.getElementsByTagName("sw");
				if (swXML) sw = new GLatLng(getElementTextNS("latitude", swXML[0], 0), getElementTextNS("longitude", swXML[0], 0));
				var neXML = req.responseXML.getElementsByTagName("ne");
				if (neXML) ne = new GLatLng(getElementTextNS("latitude", neXML[0], 0), getElementTextNS("longitude", neXML[0], 0));
				if (ne && sw) 
				{
					var bounds = new GLatLngBounds(sw, ne);
					var centerXML = req.responseXML.getElementsByTagName("center");
					var center = new GLatLng(getElementTextNS("latitude", centerXML[0], 0), getElementTextNS("longitude", centerXML[0], 0));
					map.setCenter(center, Math.min(map.getBoundsZoomLevel(bounds),17)); //
				}
        	}
    	}
	}
	</script>
  </head>
<body bgcolor="#000000" text="#FFFFFF" link="#FFFFFF" vlink="#FFFFFF" alink="#FFFFFF" onload="DisplayDate(); onLoad();">
<font size="1">IMEI:<br></font>
<input name="txtIMEI" type="text" class="tabletext" id="txtIMEI" width="200px" onchange="fillCalendar()"/>
<br><br>
  <table id="naptar" bgcolor="#282828" bordercolor="#202020" width="180" border="1" cellspacing="0" cellpadding="1" rules="groups">
    <thead bgcolor="#282828"> 
      <td colspan="2"><div align="left"><a href="#"><img src="images/button_yn.gif" width="20" height="13" border="0" onClick="PrevYear()"></a><a href="#"><img src="images/button_mn.gif" width="20" height="13" border="0" onClick="PrevMonth()"></a></div></td>
      <td colspan="3"><div align="center"><font size="1" face="Arial, Helvetica, sans-serif" color="#ffffff"><strong><a name="evho"></a></strong></font></div></td>
      <td colspan="2"><div align="right"><a href="#"><img src="images/button_mp.gif" width="20" height="13" border="0" onClick="NextMonth()"></a><a href="#"><img src="images/button_yp.gif" width="20" height="13" border="0" onClick="NextYear()"></a></div></td>
    </thead>
    <tbody bgcolor="#000000"> 
      <td width="20"><p class="tabletext">M</p></td>
      <td width="20"><p class="tabletext">Tu</p></td>
      <td width="20"><p class="tabletext">W</p></td>
      <td width="20"><p class="tabletext">Th</p></td>
      <td width="20"><p class="tabletext">F</p></td>
      <td width="20"><p class="tabletext">Sa</p></td>
      <td width="20"><p class="tabletext">Su</p></td>
    </tbody>
    <tr> 
      <td width="20" onClick="Click(0)" class="tabletext" align="center"><a name="day"></a></td>
      <td width="20" onClick="Click(1)" class="tabletext"><a name="day"></a></td>
      <td width="20" onClick="Click(2)" class="tabletext"><a name="day"></a></td>
      <td width="20" onClick="Click(3)" class="tabletext"><a name="day"></a></td>
      <td width="20" onClick="Click(4)" class="tabletext"><a name="day"></a></td>
      <td width="20" onClick="Click(5)" bgcolor="#000000" class="tabletext"><a name="day"></a></td>
      <td width="20" onClick="Click(6)" bgcolor="#000000" class="tabletext"><a name="day"></a></td>
    </tr>
    <tr> 
      <td width="20" onClick="Click(7)" class="tabletext"><a name="day"></a></td>
      <td width="20" onClick="Click(8)" class="tabletext"><a name="day"></a></td>
      <td width="20" onClick="Click(9)" class="tabletext"><a name="day"></a></td>
      <td width="20" onClick="Click(10)" class="tabletext"><a name="day"></a></td>
      <td width="20" onClick="Click(11)" class="tabletext"><a name="day"></a></td>
      <td width="20" onClick="Click(12)" bgcolor="#000000" class="tabletext"><a name="day"></a></td>
      <td width="20" onClick="Click(13)" bgcolor="#000000" class="tabletext"><a name="day"></a></td>
    </tr>
    <tr> 
      <td width="20" onClick="Click(14)" class="tabletext"><a name="day"></a></td>
      <td width="20" onClick="Click(15)" class="tabletext"><a name="day"></a></td>
      <td width="20" onClick="Click(16)" class="tabletext"><a name="day"></a></td>
      <td width="20" onClick="Click(17)" class="tabletext"><a name="day"></a></td>
      <td width="20" onClick="Click(18)" class="tabletext"><a name="day"></a></td>
      <td width="20" onClick="Click(19)" bgcolor="#000000" class="tabletext"><a name="day"></a></td>
      <td width="20" onClick="Click(20)" bgcolor="#000000" class="tabletext"><a name="day"></a></td>
    </tr>
    <tr> 
      <td width="20" onClick="Click(21)" class="tabletext"><a name="day"></a></td>
      <td width="20" onClick="Click(22)" class="tabletext"><a name="day"></a></td>
      <td width="20" onClick="Click(23)" class="tabletext"><a name="day"></a></td>
      <td width="20" onClick="Click(24)" class="tabletext"><a name="day"></a></td>
      <td width="20" onClick="Click(25)" class="tabletext"><a name="day"></a></td>
      <td width="20" onClick="Click(26)" bgcolor="#000000" class="tabletext"><a name="day"></a></td>
      <td width="20" onClick="Click(27)" bgcolor="#000000" class="tabletext"><a name="day"></a></td>
    </tr>
    <tr> 
      <td width="20" onClick="Click(28)" class="tabletext"><a name="day"></a></font></strong></td>
      <td width="20" onClick="Click(29)" class="tabletext"><a name="day"></a></font></strong></td>
      <td width="20" onClick="Click(30)" class="tabletext"><a name="day"></a></font></strong></td>
      <td width="20" onClick="Click(31)" class="tabletext"><a name="day"></a></font></strong></td>
      <td width="20" onClick="Click(32)" class="tabletext"><a name="day"></a></font></strong></td>
      <td width="20" onClick="Click(33)" bgcolor="#000000" class="tabletext"><a name="day"></a></td>
      <td width="20" onClick="Click(34)" bgcolor="#000000" class="tabletext"><a name="day"></a></td>
    </tr>
    <tr> 
      <td width="20" onClick="Click(35)" class="tabletext"><a name="day"></a></td>
      <td width="20" onClick="Click(36)" class="tabletext"><a name="day"></a></td>
      <td width="20" onClick="Click(37)" class="tabletext"><a name="day"></a></td>
      <td width="20" onClick="Click(38)" class="tabletext"><a name="day"></a></td>
      <td width="20" onClick="Click(39)" class="tabletext"><a name="day"></a></td>
      <td width="20" onClick="Click(40)" bgcolor="#000000" class="tabletext"><a name="day"></a></td>
      <td width="20" onClick="Click(41)" bgcolor="#000000" class="tabletext"><a name="day"></a></td>
    </tr>
  </table>
<div id="map"></div>
<div class="viking"><a href="http://www.viking.tm/gpsserv.php"><font color="#FEF921">Viking Informatics</font></a></div>
</body>
</html>