<?php
	header ("Content-type: text/xml");
	header ("Expires: Mon, 26 Jul 1997 05:00:00 GMT");    // Date in the past
	header ("Last-Modified: " . gmdate("D, d M Y H:i:s") . " GMT"); 
	header ("Cache-Control: no-cache, must-revalidate");  // HTTP/1.1
	header ("Pragma: no-cache");                          // HTTP/1.0
	
	include "encode.php";
	include "config.php";

	$treshold = 100.0; // in m
	$treshold = $treshold / 40000000.0 * 360.0;
	$treshold = $treshold * $treshold;
	$stoptime = 600; // in sec, 600 = 10 minutes
	
	print "<?xml version=\"1.0\" encoding=\"iso-8859-1\"?>\n";

	$kapcsolat = mysql_connect($server, $username, $password);
	mysql_select_db($dbname);

	print "<documents>";
	print "<points>\n";
	$count = 0;
	$keres = "SELECT Latitude, Longitude, DATE_FORMAT(Datum, '%H:%i') FROM GPSLoc WHERE IMEI='" . $_GET['imei'] . "' AND DATE_FORMAT( Datum, '%Y.%m.%d' )='" . $_GET['datum'] . "' ORDER BY Datum";
	$result = mysql_query($keres);
	$points = array();
	while ($line = mysql_fetch_row($result))
	{
		$i = strpos($line[0],".");
		if ($i === FALSE) continue;
		$lat = substr($line[0],0,$i-2) + substr($line[0],$i-2,strlen($line[0])-$i+1)/60.0;
		if ($line[0][strlen($line[0])-1]=="S") $lat *= -1;
		$i = strpos($line[1],".");
		if ($i === FALSE) continue;
		$long = substr($line[1],0,$i-2) + substr($line[1],$i-2,strlen($line[1])-$i+1)/60.0;
		if ($line[1][strlen($line[1])-1]=="W") $long *= -1;
		
		if ($lat<-90 || $lat>90) continue;
		if ($long<-180 || $long>180) continue;
		if ($long==0 && $lat==0) continue;
		
		if ($minX=="") { $minX = $long; $maxX = $long; $minY = $lat; $maxY = $lat; }
		else {
			if ($long < $minX) $minX = $long;
			if ($long > $maxX) $maxX = $long;
			if ($lat < $minY) $minY = $lat;
			if ($lat > $maxY) $maxY = $lat;
		}

		if (count($points) && (strtotime($line[2]) - strtotime($timestamp) > $stoptime))
		{
			if ($startstop!="" && (strtotime($timestamp) - strtotime($startstop) > $stoptime))
				$stops[] = array($lat, $long, $startstop, $timestamp);

			print "<segment>\n";
			if (count($points) == 1)
			{
				print "<polyline>NA</polyline>\n";
				print "<levels>NA</levels>\n";
			} else {
				$encoded = dpEncode($points);
				print "<polyline>" . $encoded[0] . "</polyline>\n";
				print "<levels>" . $encoded[1] . "</levels>\n";
			}
			print "<start>\n<timestamp>" . $start . "</timestamp>\n";
			print "<latitude>" . $startlat . "</latitude>\n";
			print "<longitude>" . $startlong . "</longitude>\n</start>\n";
			print "<end>\n<timestamp>" . $timestamp . "</timestamp>\n";
			print "<latitude>" . $endlat . "</latitude>\n";
			print "<longitude>" . $endlong . "</longitude>\n</end>\n";
			print "<stops>\n";
			for ($i = 0; $i < count($stops); $i++)
			{
				print "<stop>\n";
				print "<latitude>" . $stops[$i][0] . "</latitude>\n";
				print "<longitude>" . $stops[$i][1] . "</longitude>\n";
				print "<start>" . $stops[$i][2] . "</start>\n";
				print "<end>" . $stops[$i][3] . "</end>\n";		
				print "</stop>\n";
			}
			print "</stops>\n";
			print "</segment>\n";			
			$start = $line[2];
			$startlat = $lat;
			$startlong = $long;
			$points = array();
			$stops = array();
			$startstop = "";

		} else {
		
			if ($startstop=="")
			{
				if ((pow($lat - $endlat,2) + pow($long - $endlong,2)) < $treshold)
				{
					$stoplat = $lat;
					$stoplong = $long;
					$startstop = $timestamp;
				}
			} elseif ((pow($lat - $stoplat,2) + pow($long - $stoplong,2)) > $treshold) {
				if (strtotime($timestamp) - strtotime($startstop) > $stoptime)
				{
					$stops[] = array($stoplat, $stoplong, $startstop, $timestamp);
				}
				$startstop = "";
			}
						
			$points[] = array($lat, $long);
			if ($start=="") { $start = $line[2]; $startlat = $lat; $startlong = $long; }
		}
		$timestamp = $line[2];
		$endlat = $lat;
		$endlong = $long;
	}
	if (count($points))
	{
		if ($startstop!="" && (strtotime($timestamp) - strtotime($startstop) > $stoptime))
			$stops[] = array($lat, $long, $startstop, $timestamp);

		print "<segment>\n";
		if (count($points) == 1)
		{
			print "<polyline>NA</polyline>\n";
			print "<levels>NA</levels>\n";
		} else {
			$encoded = dpEncode($points);
			print "<polyline>" . $encoded[0] . "</polyline>\n";
			print "<levels>" . $encoded[1] . "</levels>\n";
		}
		print "<start>\n<timestamp>" . $start . "</timestamp>\n";
		print "<latitude>" . $startlat . "</latitude>\n";
		print "<longitude>" . $startlong . "</longitude>\n</start>\n";
		print "<end>\n<timestamp>" . $timestamp . "</timestamp>\n";
		print "<latitude>" . $endlat . "</latitude>\n";
		print "<longitude>" . $endlong . "</longitude>\n</end>\n";
		print "<stops>\n";
		for ($i = 0; $i < count($stops); $i++)
		{
			print "<stop>\n";
			print "<latitude>" . $stops[$i][0] . "</latitude>\n";
			print "<longitude>" . $stops[$i][1] . "</longitude>\n";
			print "<start>" . $stops[$i][2] . "</start>\n";
			print "<end>" . $stops[$i][3] . "</end>\n";		
			print "</stop>\n";
		}
		print "</stops>\n";
		print "</segment>\n";
	}
	print "</points>\n";
	if ($minX!="") 
	{
		print "<bounds>\n<sw>\n<latitude>" . $minY . "</latitude>\n<longitude>" . $minX . "</longitude>\n</sw>\n";
		print "<ne>\n<latitude>" . $maxY . "</latitude>\n<longitude>" . $maxX . "</longitude>\n</ne>\n</bounds>\n";
		print "<center>\n<latitude>" . ($minY+$maxY)/2 . "</latitude>\n<longitude>" . ($minX+$maxX)/2 . "</longitude>\n</center>\n";
	}
	print "</documents>";
?>
