<?php
	header ("Content-type: image/png");
	header ("Expires: Mon, 26 Jul 1997 05:00:00 GMT");    // Date in the past
	header ("Last-Modified: " . gmdate("D, d M Y H:i:s") . " GMT"); 
	header ("Cache-Control: no-cache, must-revalidate");  // HTTP/1.1
	header ("Pragma: no-cache");                          // HTTP/1.0

	$im = imagecreatefrompng("images/" . $_REQUEST["url"]);

	// USE FOR PHP4.x
	$color = intval($_REQUEST["color"], 16);
	$red = (($color & 0x00ff0000)>>16)/2;
	$green = (($color & 0x0000ff00)>>8)/2;
	$blue = ($color & 0x000000ff)/2;
	$colorize = $color & 0xff000000;
	$colorize |= ($red << 16);
	$colorize |= ($green << 8);
	$colorize |= $blue;

	for ($x = 0; $x < imagesx($im); $x++)
	{
		for ($y = 0; $y < imagesy($im); $y++)
		{
			$color = imagecolorat($im, $x, $y);
			$red = (($color & 0x00ff0000)>>16)/2;
			$green = (($color & 0x0000ff00)>>8)/2;
			$blue = ($color & 0x000000ff)/2;
			$newColor = $color & 0xff000000;
			$newColor |= ($red << 16);
			$newColor |= ($green << 8);
			$newColor |= $blue;
			$newColor += $colorize;
			imagesetpixel($im, $x, $y, $newColor);
		}
	}

	// USE FOR PHP5x
	//imagefilter($im, IMG_FILTER_COLORIZE, 0, 0, 255);
	/*$im2 = imagecreate(imagesx($im), imagesy($im));
	imagerectangle($im2, 0, 0, imagesx($im2), imagesy($im2), imagecolorallocate($im2, 0, 0, 255));
	imagecopymerge($im2, $im, 0, 0, 0, 0, imagesx($im2), imagesy($im2), 100);*/
	
	$text = $_REQUEST["text"];
	$width = strlen($text)*imagefontwidth(3);
	$textcolor = imagecolorallocate($im, 0, 0, 0);
	imagestring($im, 3, 1+(imagesx($im)-$width)/2, 3, $text, $textcolor);

	imagealphablending($im, FALSE);
	imagesavealpha($im, TRUE); 

	imagepng($im); 
?>

